Subject: emacs doesn't open files

From: Jesse Gibbons <[email-masked]>
Date: Tue, 19 Nov 2019 08:35:33 -0700

guix describe :
Generation 139	Nov 19 2019 08:11:32	(current)
  guix 7b40d59
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 7b40d59114e1462d6d8140f325a66b12e91db667

emacs --version :
GNU Emacs 26.3
Copyright (C) 2019 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GNU Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.

When I launch emacs from the command line, I get the following message:
split-string: Wrong type argument: stringp, nil

As a result, when I try `EDITOR=emacs guix edit hello` it doesn't work.
I can confirm this is not a problem with guix edit, because when EDITOR=vim
it opens the package in vim.

(Joke about guix turning to the dark side goes here.)

Since I do not know if it is a problem with guix or emacs, I'm starting with
guix. It could be related to bug#38261